lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shad Storhaug (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENENET-491) Win 8 Metro Limitations
Date Thu, 29 Jun 2017 09:40:00 GMT

    [ https://issues.apache.org/jira/browse/LUCENENET-491?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16068079#comment-16068079
] 

Shad Storhaug commented on LUCENENET-491:
-----------------------------------------

According to the .NET Standard page (https://docs.microsoft.com/en-us/dotnet/standard/net-standard),
just being on .NET Standard 1.5 is enough to support Universal Windows Platform (which is
where the "develop" link leads above).

I have made an attempt to move us to .NET Standard 1.4 (which would get us there immediately),
but this turns out is either not possible or very difficult because of missing APIs.

Either way, we cannot verify this on Lucene.Net 4.8.0 until the support is in place (either
by supporting .NET Standard 1.4 or waiting until UWP vNext), so I am leaving this open for
now.

> Win 8 Metro Limitations
> -----------------------
>
>                 Key: LUCENENET-491
>                 URL: https://issues.apache.org/jira/browse/LUCENENET-491
>             Project: Lucene.Net
>          Issue Type: Improvement
>            Reporter: Prescott Nasser
>
> Ensure that Lucene.Net library can run in Metro
> http://msdn.microsoft.com/en-us/library/windows/apps/br230302(v=vs.110).aspx
> http://msdn.microsoft.com/en-us/library/windows/apps/br230232(v=vs.110).aspx



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message